Page MenuHomePhabricator

Cache WikibaseContentLanguagesRepo in SSR
Closed, ResolvedPublic5 Story Points

Description

ContentLanguages should be cached in process.

As a starting point I would suggest the TTL is 5mins. Assuming 1request/second and only 1 instance this gives us a hit rate of around (299/300)=99.7% and reduces our number of hits to the API by a factor of 300. On the other hand 5 min is an acceptable delay to get new languages given that they happen fairly rarely.

After talking on IRC with the serviceops people (bd808 and _joe_) it sound like only having 1 instance is likely but we should be prepared for it to scale up slightly if needed with load. We would expect ca. 1-3 instances (probably 1) and not 10-50.

Notes

Event Timeline

Lea_WMDE set the point value for this task to 5.Mar 13 2019, 3:20 PM
Lea_WMDE added a subscriber: Lea_WMDE.

Estimation happened under the assumption that no other ticket in that regard was done

Addshore moved this task from incoming to in progress on the Wikidata board.Mar 25 2019, 4:04 PM

Change 508175 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[wikibase/termbox@master] WaitingForLanguageWikibaseContentLanguagesRepo: make it cacheable

https://gerrit.wikimedia.org/r/508175

Change 507940 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Provide a more universal way to cache repository data

https://gerrit.wikimedia.org/r/507940

Change 507940 merged by jenkins-bot:
[wikibase/termbox@master] Provide a more universal way to cache repository data

https://gerrit.wikimedia.org/r/507940

Change 508175 merged by jenkins-bot:
[wikibase/termbox@master] WaitingForLanguageWikibaseContentLanguagesRepo: make it cacheable

https://gerrit.wikimedia.org/r/508175

Jakob_WMDE closed this task as Resolved.May 22 2019, 9:27 AM